[Snort-devel] AIX 6.1 make error

Randal T. Rioux randy at ...3004...
Thu Oct 22 19:26:44 EDT 2009


Update: Same exact error with todays 2.8.5.1 release. Added snort-users@ 
mailing list for greater exposure.

Randal T. Rioux wrote:
> Greetings. I have a problem compiling Snort 2.8.5 on the following spec 
> system:
> 
> IBM pSeries 7029-6C3 (1.2Ghz POWER4)
> AIX 6.1.3.0 / gcc 4.2.0
> 
> The following goes fine:
> 
> # ./configure --with-libpcap-libraries=/usr/local/lib
> 
> The make part doesn't:
> 
> # make
>          make  all-recursive
> Making all in src
> Making all in sfutil
>          gcc -DHAVE_CONFIG_H -I. -I../.. -I../.. -I../../src 
> -I../../src/sfutil  -I../../src/output-plugins 
> -I../../src/detection-plugins -I../../src/dynamic-plugins 
> -I../../src/preprocessors -I../../src/preprocessors/portscan 
> -I../../src/preprocessors/HttpInspect/include 
> -I../../src/preprocessors/Stream5 -I../../src/target-based 
> -I/usr/local/include -DDYNAMIC_PLUGIN  -g -O2 -fno-strict-aliasing -Wall 
> -c sfhashfcn.c
> In file included from ./sfthd.h:34,
>                   from ../../src/sfthreshold.h:25,
>                   from ../../src/snort.h:49,
>                   from sfhashfcn.c:35:
> ./sfPolicy.h:69: error: expected specifier-qualifier-list before 'table_t'
> make: 1254-004 The error code from the last command is 1.
> 
> 
> Stop.
> make: 1254-004 The error code from the last command is 1.
> 
> 
> Stop.
> make: 1254-004 The error code from the last command is 1.
> 
> 
> Stop.
> make: 1254-004 The error code from the last command is 2.
> 
> 
> Stop.
> 
> **********************************
> 
> Any ideas?
> 
> Thanks!
> Randy




More information about the Snort-devel mailing list